import os

# Ruta del FIFO existente
fifo_path = '/tmp/rate'  # Cambia esta ruta por la de tu FIFO

# Abrir el FIFO en modo de solo lectura
with open(fifo_path, 'r') as fifo:
    while True:
        # Leer una línea del FIFO
        line = fifo.readline()
        
        # Si la línea está vacía, significa que se cerró el FIFO
        if not line:
            break
        
        # Imprimir la línea leída
        print(line, end='')  # El end='' evita agregar un salto de línea adicional

        # Hacer flush para asegurarse de que se imprima inmediatamente
        os.sys.stdout.flush()

