return {
  'Jacob411/Ollama-Copilot',
  opts = {
    model_name = "deepseek-coder:base",                 -- Modelo a usar
    stream_suggestion = true,                           -- Activar sugerencias en tiempo real
    python_command = "python3",                         -- Ruta a Python
    filetypes = { 'python', 'lua', 'vim', 'markdown' }, -- Archivos compatibles
    ollama_model_opts = {
      num_predict = 40,                                 -- Tokens a predecir
      temperature = 0.1,                                -- Control de creatividad
    },
    keymaps = {
      suggestion = '<leader>os',   -- Mostrar sugerencia
      reject = '<leader>or',       -- Rechazar sugerencia
      insert_accept = '<C-Space>', -- Aceptar sugerencia con Tab
    },
  }
}
