#!/bin/bash

# Obtener la ruta del archivo de la canción actual
song_uri=$(mpc --format %file% current)

# Obtener el rating de la canción
rating=$(mpc sticker song "$song_uri" get rating | sed 's/^rating=//')

# Verificar si se encontró un rating
if [ -z "$rating" ]; then
    echo "No se encontró un rating para la canción actual."
else
    echo "El rating de '$song_uri' es: $rating"
fi

