#!/bin/bash

# Crear un sink virtual con frecuencia de muestreo de 96000 Hz
pactl load-module module-null-sink sink_name=VirtualSink \
  sink_properties=device.description="Virtual_Sink" rate=96000

# Crear un Loopback entre el monitor de salida del dispositivo Bluetooth y el Sink virtual
pactl load-module module-loopback source=bluez_output.88_C9_E8_EF_69_1E.1.monitor sink=VirtualSink

# Establecer la fuente predeterminada como el monitor del VirtualSink
pactl set-default-source VirtualSink.monitor

##pactl list short modules
#536870916	module-null-sink	sink_name=VirtualSink sink_properties=device.description=Virtual_Sink	
#536870917	module-loopback	source_name=virtual source=bluez_output.88_C9_E8_EF_69_1E.1.monitor sink=VirtualSink	
#❯ pactl unload-module 536870916
#❯ pactl unload-module 536870917

